Comment Similar Hobbies as a Moderator.

Comment Center SelfPos_A and SelfPos_P.

Compute CSelfPos_A = SelfPos_A - 4.1865. 
Compute CSelfPos_P = SelfPos_P - 4.1865. 
Execute.

Comment No Gender Interactions.

MIXED
  Satisfaction_A  WITH CSelfPos_A CSelfPos_P SimHob_A
  /FIXED = CSelfPos_A CSelfPos_P  SimHob_A CSelfPos_A*SimHob_A CSelfPos_P* SimHob_A
  /PRINT = SOLUTION TESTCOV
  /REPEATED = PartNum | SUBJECT(coupleid) COVTYPE(CSR).


Comment two-intercept model plus test subcommand.

MIXED
  Satisfaction_A BY Gender_A WITH CSelfPos_A CSelfPos_P SimHob_A
  /FIXED = Gender_A  Gender_A*CSelfPos_A Gender_A*CSelfPos_P SimHob_A*Gender_A SimHob_A*Gender_A*CSelfPos_A SimHob_A*Gender_A*CSelfPos_P  | NOINT 
  /PRINT = SOLUTION TESTCOV
  /REPEATED = Gender_A | SUBJECT(coupleid) COVTYPE(CSH)
  /TEST 'Gender Difference Actor Effect' Gender_A*CSelfPos_A -1 1
  /TEST 'Gender Difference Partner Effect' Gender_A*CSelfPos_P -1 1
  /TEST 'Gender Difference SimHob Effect' Gender_A*SimHob_A -1 1
  /TEST 'Three-way Interaction Actor Effect' SimHob_A*Gender_A*CSelfPos_A -1 1
  /TEST 'Three-way Interaction Partner Effect' SimHob_A*Gender_A*CSelfPos_P -1 1.


Compute SimHob_high = SimHob_A - 1. 
Execute.

Comment SimHob_high = 0, when SimHob_A = +1;
Actor and partner effects for Husbands and Wives refer to those for whom SimHob_A = +1.

MIXED
  Satisfaction_A BY Gender_A WITH CSelfPos_A CSelfPos_P SimHob_high
  /FIXED = Gender_A  Gender_A*CSelfPos_A Gender_A*CSelfPos_P  
	SimHob_high*Gender_A  SimHob_high*Gender_A*CSelfPos_A 
    SimHob_high*Gender_A*CSelfPos_P  | NOINT 
  /PRINT = SOLUTION TESTCOV
  /REPEATED = Gender_A | SUBJECT(coupleid) COVTYPE(CSH).



Compute SimHob_low = SimHob_A + 1. 
Execute.

Comment SimHob_low = 0 when SimHob_A = -1;
Actor and partner effects refer to those who have a -1 on SimHob_A.  

MIXED
  Satisfaction_A BY Gender_A WITH CSelfPos_A CSelfPos_P SimHob_low
  /FIXED = Gender_A  Gender_A*CSelfPos_A Gender_A*CSelfPos_P SimHob_low*Gender_A 
    SimHob_low*Gender_A*CSelfPos_A 
    SimHob_low*Gender_A*CSelfPos_P  | NOINT 
  /PRINT = SOLUTION TESTCOV
  /REPEATED = Gender_A | SUBJECT(coupleid) COVTYPE(CSH).


Comment Gender Interactions.

MIXED
  Satisfaction_A WITH Gender_A CSelfPos_A CSelfPos_P SimHob_A
  /FIXED = Gender_A  CSelfPos_A CSelfPos_P SimHob_A Gender_A*CSelfPos_A Gender_A*CSelfPos_P  SimHob_A*Gender_A SimHob_A*CSelfPos_A SimHob_A*CSelfPos_P
	SimHob_A*CSelfPos_A*Gender_A  SimHob_A*CSelfPos_P*Gender_A
  /PRINT = SOLUTION TESTCOV
  /REPEATED = Gender_A | SUBJECT(coupleid) COVTYPE(CSH).

Comment (not done in lecture) Test of Partner SimHob as a Moderator.
MIXED
  Satisfaction_A BY Gender_A WITH CSelfPos_A CSelfPos_P SimHob_A SimHob_P
  /FIXED = Gender_A  Gender_A*CSelfPos_A Gender_A*CSelfPos_P SimHob_A*Gender_A 
  SimHob_P*Gender_A SimHob_A*Gender_A*CSelfPos_A SimHob_A*Gender_A*CSelfPos_P  | NOINT 
  /PRINT = SOLUTION TESTCOV
  /Method = ML
  /REPEATED = Gender_A | SUBJECT(coupleid) COVTYPE(CSH).

MIXED
  Satisfaction_A BY Gender_A WITH CSelfPos_A CSelfPos_P SimHob_A  SimHob_P
  /FIXED = Gender_A  Gender_A*CSelfPos_A Gender_A*CSelfPos_P SimHob_A*Gender_A SimHob_A*Gender_A*CSelfPos_A SimHob_A*Gender_A*CSelfPos_P 
  SimHob_P*Gender_A SimHob_P*Gender_A*CSelfPos_A SimHob_P*Gender_A*CSelfPos_P | NOINT 
  /PRINT = SOLUTION TESTCOV
  /Method = ML
  /REPEATED = Gender_A | SUBJECT(coupleid) COVTYPE(CSH).
